import 'package:eyflutter_core/eyflutter_core.dart';

class ScoreManager {
  factory ScoreManager() => _getInstance();

  static ScoreManager get instance => _getInstance();
  static ScoreManager? _instance;

  static ScoreManager _getInstance() {
    return _instance ??= new ScoreManager._internal();
  }

  ScoreManager._internal();

  String _dayCacheKey = "07245d8ae3bfeb83";

  /// 评分检测
  /// 1.15天之内仅检测一次;
  /// 2.访问应用时长超过2分钟;
  void detection() async {
    var checkTime = await MmkvUtils.instance.getInt(_dayCacheKey);
    var diff = System.currentTimeMillis - (checkTime ?? 0);
    if (diff < (15 * 24 * 60 * 60 * 1000)) {
      return;
    }
    var time = EyFlutter.instance.startTime;
    var visitDiff = System.currentTimeMillis - time;
    if (visitDiff < 120000) {
      return;
    }
    EyFlutter.instance.setStartTime(time: System.currentTimeMillis);
    MmkvUtils.instance.putInt(_dayCacheKey, value: System.currentTimeMillis);
    //TODO 评分弹窗，点击跳转对应应用市场
  }
}
