import 'package:eyflutter_cmi/collect/event/on_profile_collect.dart';
import 'package:eyflutter_cmi/enums/sdk_platform.dart';
import 'package:eyflutter_core/eyflutter_core.dart';

class ProfileCollect with OnProfileCollect {
  String _signCountAction = "64e43388f0127de8";

  @override
  void profileSignOff({required SDKPlatform platform}) {
    CloudChannelManager.instance.send(_signCountAction, arguments: {
      "platform": platform.name,
      "type": "signoff",
    });
  }

  @override
  void profileSignin({required SDKPlatform platform, required String account, String provider = ""}) {
    CloudChannelManager.instance.send(_signCountAction, arguments: {
      "platform": platform.name,
      "type": "signin",
      "account": account,
      "provider": provider,
    });
  }
}
